#include <stdio.h>

typedef struct{
    int pozicija;
    char znak;
}podaci_skoka;

void sortiranje(podaci_skoka* skokovi, int n)
{
    int i, j;
    podaci_skoka pom;

    for(i=0; i<n-1; i++){
        for(j=i+1; j<n; j++){
            if(skokovi[i].pozicija>skokovi[j].pozicija){
                pom=skokovi[i];
                skokovi[i]=skokovi[j];
                skokovi[j]=pom;
            }
            if(skokovi[i].pozicija==skokovi[j].pozicija){
                skokovi[i]=skokovi[j];
            }
        }
    }
}

void brisi_visak(podaci_skoka* skokovi, int* n)
{
    int c, p=1;

    for(c=1; c<*n; c++){
        if(skokovi[c].pozicija==skokovi[c-1].pozicija)
            continue;
        skokovi[p++]=skokovi[c];
    }
    *n=p;
}

int main(void)
{
    int x, n=0, i;
    char znak;
    podaci_skoka *skokovi;

    skokovi=(podaci_skoka*)malloc(++n*sizeof(podaci_skoka));
    skokovi[0].pozicija=0;
    skokovi[0].znak='X';

    while(1){
        printf("Za koliko cemo skociti? ");
        scanf("%d", &x);
        if(!x)
            break;
        printf("Koji znak cemo ostaviti? ");
        scanf(" %c", &znak);

        skokovi=(podaci_skoka*)realloc(skokovi,++n*sizeof(podaci_skoka));
        skokovi[n-1].pozicija=skokovi[n-2].pozicija+x;
        skokovi[n-1].znak=znak;
    }

    sortiranje(skokovi,n);
    brisi_visak(skokovi,&n);

    for(i=0; i<n; i++){
        printf("DRUGI:\nPozicija: %d \t Znak: %c\n", skokovi[i].pozicija, skokovi[i].znak);
    }

    free(skokovi);

    return 0;
}



