#include <stdio.h>
#include <stdlib.h>

typedef struct{
    char naziv[31];
    int cijena;
} automobil;

/*funkcija za sortiranje niza od n elemenata tipa automobil po trazenom kriteriju*/
void sort_auti(automobil* x, int n)
{
    int i, j;

    for(i=0; i<n-1; i++){
        for(j=i+1; j<n; j++){
            if(x[i].cijena<x[j].cijena){
                automobil temp=x[i];
                x[i]=x[j];
                x[j]=temp;
            }
        }
    }
}

void ispis(automobil* x, int n)
{
    int i;

    for(i=0; i<n; i++){
        printf("\nAutomobil %d: \t Naziv: %s\n", i+1, x[i].naziv);
        printf("\t \t Cijena: %d\n", x[i].cijena);
    }
}

int main(void)
{
    automobil *auti;
    int n, i;

    printf("Koliko imamo automobila? ");
    scanf("%d", &n);
    auti=(automobil*)malloc(n*sizeof(automobil));
    for(i=0; i<n; i++){
        printf("Automobil %d: \t Naziv: ", i+1);
        scanf(" %[^\n]", auti[i].naziv);
        printf("\t \t Cijena: ");
        scanf("%d", &auti[i].cijena);
    }

    sort_auti(auti,n);
    ispis(auti,n);

    free(auti);

    return 0;
}
