#include <stdio.h>
#include <stdlib.h>

typedef struct{
    int pozicija;
    char znak;
}skok;

void sortiranje(skok* s, int n){
    int i, j;
    skok pom;

    for(i=0; i<n-1; i++){
        for(j=i+1; j<n; j++){
            if(s[i].pozicija>s[j].pozicija){
                pom=s[i];
                s[i]=s[j];
                s[j]=pom;
            }
            if(s[i].pozicija==s[j].pozicija){
                s[i].znak=s[j].znak;
            }
        }
    }
}

void brisanje(skok* s, int* n){
    int c, p=1;

    for(c=1; c<*n; c++){
        if(s[c].pozicija==s[c-1].pozicija)
            continue;
        s[p++]=s[c];
    }
    *n=p;
}

int main(void)
{
    skok* s;
    int x, n=1, i;

    s=(skok*)malloc(sizeof(skok));
    s[0].pozicija=0;
    s[0].znak='X';

    while(1){
        scanf("%d", &x);
        if(!x)
            break;

        s=(skok*)realloc(s,++n*sizeof(skok));
        s[n-1].pozicija=s[n-2].pozicija+x;
        scanf(" %c", &s[n-1].znak);
    }

    sortiranje(s,n);
    brisanje(s,&n);

    printf("\n\n");
    int pom=0;
    for(i=s[0].pozicija; i<=s[n-1].pozicija && pom<n; i++){
        if(i==s[pom].pozicija)
            printf("%c", s[pom++].znak);
        else
            printf("*");
    }

    return 0;
}
